CREATE TABLE [dbo].[dolgozo] (
	[dolgozo_id] [int] NOT NULL ,
	[esemeny_id] [int] NOT NULL ,
	[nec] [char] (10) COLLATE Hungarian_CI_AS NULL ,
	[cim] [char] (10) COLLATE Hungarian_CI_AS NULL 
) ON [PRIMARY]
GO

CREATE TABLE [dbo].[esemeny] (
	[esemeny_id] [int] IDENTITY (1, 1) NOT NULL ,
	[ido] [datetime] NOT NULL ,
	[tipus] [char] (10) COLLATE Hungarian_CI_AS NOT NULL 
) ON [PRIMARY]
GO

select top 1 case 
	when exists 
		(select * from esemeny e inner join dolgozo d on e.esemeny_id=d.esemeny_id 
		where tipus='torl' and d.dolgozo_id=21)
	then 'trlt'
	else nec
end as nev 
from esemeny e inner join dolgozo d on e.esemeny_id=d.esemeny_id
where dolgozo_id=21 and tipus in ('mod', 'uj') order by ido desc